<html>
<head>
<script src="../inspector-test.js"></script>
<script>
var initialize_SecurityTest = function() {
    InspectorTest.preloadPanel("security");
}

function test()
{
    /** @type {!SecurityAgent.MixedContentStatus} */
    var mixedContentStatus = { ranInsecureContent: false, displayedInsecureContent: false, ranInsecureContentStyle: SecurityAgent.SecurityState.Insecure, displayedInsecureContentStyle: SecurityAgent.SecurityState.Neutral };
    var targets = WebInspector.targetManager.targets();
    targets[0].model(WebInspector.SecurityModel).dispatchEventToListeners(WebInspector.SecurityModel.EventTypes.SecurityStateChanged, new WebInspector.PageSecurityState(SecurityAgent.SecurityState.Secure, [], mixedContentStatus, true));

    var request = new WebInspector.NetworkRequest(targets[0], 0, "http://foo.test", "https://foo.test", 0, 0, null);
    request.setBlockedReason(NetworkAgent.BlockedReason.MixedContent);
    request.mixedContentType = "blockable";
    targets[0].model(WebInspector.NetworkManager).dispatchEventToListeners(WebInspector.NetworkManager.EventTypes.RequestFinished, request);

    var explanations = document.body.getElementsByClassName("security-explanation");
    for (var i = 0; i < explanations.length; i++)
        InspectorTest.dumpDeepInnerHTML(explanations[i]);
    InspectorTest.completeTest();
}
</script>
</head>
<body onload="runTest()">
<p>Tests active mixed content blocking in the security panel.</p>
</body>
</html>
